## splash 2.9.0

=== debian/changelog ===
splash (2.9.0-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Build-depend on texlive-plain-generic (Closes: 941551)

  [ Ole Streicher ]
  * Use FFLAGS provided by the system
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Wed, 02 Oct 2019 12:05:45 +0200

splash (2.9.0-1) unstable; urgency=low

  * New upstream version 2.9.0. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12; switch to debhelper-compat
  * Work around mysterious dwz bug

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2019 15:09:47 +0200
