=== debian/changelog ===
splash (2.9.1-1ubuntu1) focal; urgency=medium

  * Build-depend on texlive-latex-extra to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Mar 2020 21:54:06 -0400

splash (2.9.1-1) unstable; urgency=low

  * New upstream version 2.9.1. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Nov 2019 14:43:56 +0100
