=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: splash
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gfortran,
@@ -10,8 +11,9 @@
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
+               texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
