## splash 2.10.1

=== build/Makefile ===
--- 
+++ 
@@ -68,6 +68,12 @@
 HDF5INCLUDE = -I$(HDF5ROOT)/include
 H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
 H5PART_INCLUDE = -I$(H5PART_DIR)/include
+ifdef FITS_DIR
+   FITSLIBS = -L$(FITS_DIR)/lib -lcfitsio
+else
+   FITSLIBS = -lcfitsio
+endif
+FITSINCLUDE = -I$(FITS_DIR)/include
 #
 # this file contains system-dependent routines like getarg, iargc etc.
 #
@@ -136,7 +142,7 @@
 ifeq ($(SYSTEM), gfortran)
 #  gfortran compiler (part of gcc 4.x.x)
    FC= gfortran
-   FFLAGS= -O3 -frecord-marker=4 -fPIC
+   FFLAGS= -O3 -fPIC
    DBLFLAGS= -fdefault-real-8 -fdefault-double-8
    SYSTEMFILE= system_f2003.f90
    DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
@@ -145,6 +151,21 @@
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
    KNOWN_SYSTEM=yes
+endif
+
+ifeq ($(SYSTEM), gfortran-catalina)
+#  gfortran compiler (part of gcc 4.x.x)
+   FC= gfortran
+   FFLAGS= -O3 -frecord-marker=4 -fPIC
+   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
+   SYSTEMFILE= system_f2003.f90
+   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
+              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
+   OMPFLAGS= -fopenmp
+   ENDIANFLAGBIG= -fconvert=big-endian
+   ENDIANFLAGLITTLE= -fconvert=little-endian
+   KNOWN_SYSTEM=yes
+   X11_DIR= /opt/X11/
 endif
 
 ifeq ($(SYSTEM),nagf95)
@@ -393,14 +414,3 @@
 # modules must be compiled in the correct order to check interfaces
 # really should include all dependencies but I am lazy
 
-SOURCES= $(PLOTLIB) globaldata.f90 asciiutils.f90 \
-         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \
-         prompting.f90 promptlist.f90 geometry.f90 kernels.f90 \
-         interpolation.f90 plotutils.f90 colourbar.f90 \
-         colours.f90 colourparts.f90 timing.f90 pagecolours.f90 \
-         units.f90 limits.f90 geomutils.f90 dataread_utils.f90 \
-         write_data_gadget.f90 write_data_phantom.f90 write_pixmap.f90 \
-         write_griddata.f90 write_sphdata.f90 \
-         $(SYSTEMFILE) system_utils.f90 \
-         cubicsolve.f90 discplot.f90 \
-         fparser.f90 parsetext.f90 \
