=== debian/changelog ===
splash (2.10.1-1) unstable; urgency=low

  * New upstream version 2.10.1. Rediff patches
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jun 2020 17:40:12 +0200

splash (2.10.0-1) unstable; urgency=low

  * New upstream version 2.10.0. Rediff patches
  * Push Standards-Version to 4.5.0. No changes required
  * Add texlive-latex-extra to build-deps (Closes: #952231)
  * Fix underscores in version_history_tex.tex

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Mar 2020 17:00:13 +0100
