=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: splash
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                giza-dev,
                help2man,
+               latexmk,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
+Rules-Requires-Root: no
 
 Package: splash
 Architecture: any
