=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SYSTEM=gfortran

%:
	dh $@ --no-parallel

override_dh_installdocs:
	$(MAKE) docs
	dh_installdocs

override_dh_installman:
	mkdir -p man
	help2man ./bin/splash | sed "s/^.*manual page for SPLASH:/splash \\-\\-/" > man/splash.1
	for i in `ls bin` ; do \
	  if [ ! -f man/$$i.1 ] ; then \
	    ln -s splash.1 man/$$i.1 ; \
	  fi ; \
	done
	dh_installman

override_dh_auto_clean:
	make clean

override_dh_dwz:
	true # workaround mysterious error
