## splash 3.3.4

=== build/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 SRCDIR=../src
 BINDIR=../bin
 TESTDIR=../tests
-VPATH=$(SRCDIR) $(SRCDIR)/H5Part
+VPATH=$(SRCDIR) $(SRCDIR)/H5Part ../utils
 SHELL=/bin/bash
 
 #
@@ -90,6 +90,12 @@
 OPENMP=yes
 endif
 #
+# compile in double precision by default (v3.0 onwards this is now default)
+#
+ifndef DOUBLEPRECISION
+DOUBLEPRECISION=yes
+endif
+#
 # the openMP flags should be set in the lines defining your system type
 # (ie. leave line below blank)
 OMPFLAGS=
@@ -131,11 +137,8 @@
 #  set the environment variable 'SYSTEM' to one of those
 #  listed to use the appropriate settings
 #
-#  e.g. in tcsh use
-#  setenv SYSTEM 'g95'
-#
 #  in bash the equivalent is
-#  export SYSTEM='g95'
+#  export SYSTEM='gfortran'
 #
 #--------------------------------------------------------------
 
@@ -150,31 +153,6 @@
    OMPFLAGS= -fopenmp
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
-   KNOWN_SYSTEM=yes
-endif
-
-ifeq ($(SYSTEM), gfortran-catalina)
-#  gfortran compiler (part of gcc 4.x.x)
-   FC= gfortran
-   FFLAGS= -O3 -frecord-marker=4 -fPIC
-   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
-   SYSTEMFILE= system_f2003.f90
-   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
-              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
-   OMPFLAGS= -fopenmp
-   ENDIANFLAGBIG= -fconvert=big-endian
-   ENDIANFLAGLITTLE= -fconvert=little-endian
-   KNOWN_SYSTEM=yes
-   X11_DIR= /opt/X11/
-endif
-
-ifeq ($(SYSTEM),nagf95)
-#  NAG f95 compiler
-   FC= f95
-   FFLAGS= -O3
-   DBLFLAGS= -r8
-   SYSTEMFILE= system_unix_NAG.f90
-   PARALLEL= no
    KNOWN_SYSTEM=yes
 endif
 
@@ -194,7 +172,6 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
-#   FFLAGS= -O3 -nbs -i_dynamic
    FFLAGS= -O3 -nbs
    OMPFLAGS= -qopenmp
    DBLFLAGS= -r8
@@ -206,20 +183,6 @@
    KNOWN_SYSTEM=yes
    CC=icc
    CFLAGS=-Wall -O3 -fPIC
-endif
-
-ifeq ($(SYSTEM),ifort8)
-#  this is for the intel fortran compiler (version 8)
-   FC= ifort
-   FFLAGS= -O3 -Vaxlib -nbs
-   OMPFLAGS= -openmp
-   DBLFLAGS= -r8
-   DEBUGFLAG= -C -g
-   SYSTEMFILE= system_unix.f90
-   ENDIANFLAGBIG= -convert big_endian
-   ENDIANFLAGLITTLE= -convert little_endian
-# or use setenv F_UFMTENDIAN=big or little at runtime
-   KNOWN_SYSTEM=yes
 endif
 
 ifeq ($(SYSTEM),pgf90)
@@ -230,7 +193,7 @@
    DEBUGFLAG= -C -g -gopt -Mbounds -Mchkfpstk -Mchkptr -Mchkstk -Mcoff \
               -Mdwarf1 -Mdwarf2 -Melf -Mpgicoff -traceback
    OMPFLAGS= -mp
-   SYSTEMFILE= system_unix.f90
+   SYSTEMFILE= system_f2003.f90
    ENDIANFLAGBIG= -Mbyteswapio  # only works on a little-endian machine
    ENDIANFLAGLITTLE=
    KNOWN_SYSTEM=yes
@@ -251,40 +214,9 @@
 
 #--------------------------------------------------------------
 #
-# the following presets are machine-specific
-# (ie. relate to both the compiler and a specific
-#      installation of pgplot)
-#
-#--------------------------------------------------------------
-ifeq ($(SYSTEM),zen)
-#  this is for the intel fortran compiler
-   FC= ifort
-   FFLAGS= -O3 -mcmodel=medium -axT -warn all #-ipo #-assume nounderscore
-   OMPFLAGS= -openmp
-   DEBUGFLAG= -check all -traceback -g
-   SYSTEMFILE= system_f2003.f90
-   ENDIANFLAGBIG= -convert big_endian
-   ENDIANFLAGLITTLE= -convert little_endian
-   X11_LIBS=-L/home/djp212/lib -lX11
-   PGPLOTLIBS= -lpng #-L${PGPLOT_DIR} -lpgplot -lpng
-   STATICLIBS= /home/djp212/pgplot/libpgplot.a
-# or use setenv F_UFMTENDIAN=big or little at runtime
-   KNOWN_SYSTEM=yes
-endif
-
-ifeq ($(SYSTEM),intelmac)
-#  these are the settings for an Intel Macbook running Tiger
-#  using gfortran with pgplot installed via fink
-   FC= gfortran
-   FFLAGS= -O3 -ffast-math
-   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -frange-check
-   PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -L/sw/lib -lpng \
-          -laquaterm -Wl,-framework -Wl,Foundation -lSystemStubs
-   SYSTEMFILE= system_f2003.f90
-   PARALLEL= no
-   KNOWN_SYSTEM=yes
-endif
-
+# the following presets are user or machine-specific
+#
+#--------------------------------------------------------------
 ifeq ($(SYSTEM),cody)
     FC= gfortran
     FFLAGS= -O3 -Wall
@@ -329,17 +261,12 @@
 # compile in double precision
 ifeq ($(DOUBLEPRECISION), yes)
     FFLAGS += ${DBLFLAGS}
+    FPPFLAGS+=-DDP
 endif
 
 # add debugging flags at compile time
 ifeq ($(DEBUG),yes)
     FFLAGS += $(DEBUGFLAG)
-endif
-
-# link with hdf5 libraries
-ifeq ($(HDF5),yes)
-    CFLAGS  += $(HDF5INCLUDE)
-    LDFLAGS += $(HDF5LIBS)
 endif
 
 #
@@ -414,3 +341,59 @@
 # modules must be compiled in the correct order to check interfaces
 # really should include all dependencies but I am lazy
 
+READFILES= read_data_ascii.f90           read_data_sphNG.f90     read_data_ndspmhd.f90 \
+           read_data_gadget.f90          read_data_VINE.f90      read_data_sro.f90 \
+           read_data_dragon.f90          read_data_seren.f90     read_data_tipsy.f90 \
+           read_data_mhutch.f90          read_data_UCLA.f90      read_data_aly.f90 \
+           read_data_bauswein.f90        read_data_egaburov.f90  read_data_starsmasher.f90 \
+           read_data_gadget_jsb.f90      read_data_foulkes.f90   read_data_jjm.f90 \
+           read_data_jjm_multiphase.f90  read_data_mbate.f90     read_data_oilonwater.f90 \
+           read_data_rsph.f90            read_data_urban.f90     read_data_spyros.f90 \
+           read_data_vanaverbeke.f90
+
+READFILES_HDF5= hdf5_helper_utils.c            read_data_gadget_hdf5_utils.c   read_data_gadget_hdf5.f90 \
+                read_data_amuse_hdf5_utils.c    read_data_amuse_hdf5.f90  \
+                read_data_cactus_hdf5_utils.c   read_data_cactus_hdf5_futils.f90   read_data_cactus_hdf5.f90 \
+                read_data_flash_hdf5_utils.c    read_data_flash_hdf5.f90
+                #read_data_falcON_hdf5_utils.cc  read_data_falcON_hdf5_utils.f90    read_data_falcON_hdf5.f90 \
+
+READFILES_FITS= write_fits.f90 read_data_fits.f90
+
+READFILES_PBOB= read_data_pbob_utils.c read_data_pbob.f90 read_pbob.c read_particle.c
+
+READFILES_H5PART= H5PartF.c H5PartAttribF.c H5Part.f90 H5PartAttrib.f90
+
+RUN_CHECKS=
+
+# link with hdf5 libraries
+ifeq ($(HDF5),yes)
+  READFILES+=$(READFILES_HDF5)
+  CFLAGS+=$(HDF5INCLUDE)
+  LDFLAGS+=$(HDF5LIBS)
+  FPPFLAGS+=-DHDF5
+  RUN_CHECKS+=checkhdf5
+endif
+
+
+ifeq ($(FITS),yes)
+  READFILES+= $(READFILES_FITS)
+  LDFLAGS+=$(FITSLIBS)
+  FPPFLAGS+=-DFITS
+  RUN_CHECKS+=checkfits
+endif
+
+ifdef PBOB_DIR
+  READFILES+=$(READFILES_PBOB)
+  VPATH+=$(PBOB_DIR)
+  RUN_CHECKS+=checkpbob
+endif
+
+ifdef H5PART_DIR
+  READFILES+=$(READFILES_H5PART)
+  VPATH+=$(H5PART_LIBS) $(HDF5LIBS)
+  RUN_CHECKS+=checkh5part
+endif
+
+
+SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
+         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \
