=== debian/changelog ===
splash (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4
  * Fix hardening flag propagation

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jan 2022 08:44:38 +0100

splash (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Remove unneeded debian/dirs

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Dec 2021 08:18:18 +0100

splash (3.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ole Streicher ]
  * Add text-gyre build dependency (Closes: #997456)

 -- Ole Streicher <olebole@debian.org>  Sun, 24 Oct 2021 17:26:22 +0200

splash (3.3.1-1) unstable; urgency=medium

  * Change upstream source to Github
  * New upstream version 3.3.1
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:45:30 +0200
