=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
                latexmk,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               tex-gyre,
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
-Homepage: http://users.monash.edu.au/~dprice/splash/
+Homepage: https://users.monash.edu.au/~dprice/splash/
 Rules-Requires-Root: no
 
 Package: splash
