=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/splash-$1\.tar\.gz/ \
  https://github.com/danieljprice/splash/tags .*/v?(\d\S+)\.tar\.gz
