## splash 3.5.1

=== debian/changelog ===
splash (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2022 14:11:53 +0200

splash (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Mar 2022 15:46:28 +0100

splash (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 15:48:49 +0100
