## splash 3.6.0

=== build/Makefile ===
--- 
+++ 
@@ -365,11 +365,14 @@
 
 RUN_CHECKS=
 
+LDFLAGSLIB=
+
 # link with hdf5 libraries
 ifeq ($(HDF5),yes)
   READFILES+=$(READFILES_HDF5)
   CFLAGS+=$(HDF5INCLUDE)
   LDFLAGS+=$(HDF5LIBS)
+  LDFLAGSLIB+=$(HDF5LIBS)
   FPPFLAGS+=-DHDF5
   RUN_CHECKS+=checkhdf5
 endif
@@ -378,6 +381,7 @@
 ifeq ($(FITS),yes)
   READFILES+= $(READFILES_FITS)
   LDFLAGS+=$(FITSLIBS)
+  LDFLAGSLIB+=$(FITSLIBS)
   FPPFLAGS+=-DFITS
   RUN_CHECKS+=checkfits
 endif
@@ -396,4 +400,3 @@
 
 
 SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
-         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \
