=== debian/changelog ===
splash (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * Push Standards-Version to 4.6.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 03 Nov 2022 09:13:57 +0100
