=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: splash
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gfortran,
                giza-dev,
@@ -16,7 +16,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: https://users.monash.edu.au/~dprice/splash/
@@ -24,7 +24,8 @@
 
 Package: splash
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
  This (formerly SUPERSPHPLOT) is a visualisation tool for output from
  (astrophysical) simulations using the Smoothed Particle Hydrodynamics
