## splash 3.8.3

=== build/Makefile ===
--- 
+++ 
@@ -399,4 +399,5 @@
 endif
 
 
-SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
+SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 \
+         asciiutils.f90 byteswap.f90 \
