=== debian/changelog ===
splash (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Jul 2023 07:59:17 +0200

splash (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Jun 2023 19:59:51 +0200
