=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: https://users.monash.edu.au/~dprice/splash/
