## splash 3.10.1

=== build/Makefile ===
--- 
+++ 
@@ -64,6 +64,14 @@
 # If you need the HDF5 libraries, edit the lines below
 # possibly adding a -L/libpath/ and a -I/includepath/
 #
+ifndef HDF5ROOT
+ifdef HDF5_ROOT
+   HDF5ROOT=$(HDF5_ROOT)
+endif
+ifdef HDF5_DIR
+   HDF5ROOT=$(HDF5_DIR)
+endif
+endif
 HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
 HDF5INCLUDE = -I$(HDF5ROOT)/include
 H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
@@ -349,7 +357,7 @@
            read_data_gadget_jsb.f90      read_data_foulkes.f90   read_data_jjm.f90 \
            read_data_jjm_multiphase.f90  read_data_mbate.f90     read_data_oilonwater.f90 \
            read_data_rsph.f90            read_data_urban.f90     read_data_spyros.f90 \
-           read_data_vanaverbeke.f90
+           read_data_vanaverbeke.f90     read_data_vtk.f90
 
 READFILES_HDF5= hdf5_helper_utils.c            read_data_gadget_hdf5_utils.c   read_data_gadget_hdf5.f90 \
                 read_data_amuse_hdf5_utils.c    read_data_amuse_hdf5.f90  \
@@ -395,9 +403,3 @@
 ifdef H5PART_DIR
   READFILES+=$(READFILES_H5PART)
   VPATH+=$(H5PART_LIBS) $(HDF5LIBS)
-  RUN_CHECKS+=checkh5part
-endif
-
-
-SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 \
-         asciiutils.f90 byteswap.f90 \
