=== debian/changelog ===
splash (3.10.1-2) unstable; urgency=medium

  * 'd/control': Add Phil Wyett <philip.wyett@kathenas.org> to uploaders.
  * 'd/watch': Use new GitHub API.
  * 'd/upstream/metadata':
    - Removed 'Changelog' field. Contains old, not relevant data.
    - Update code repository link.
    - Add bug reporting/tracking fields.
  * 'd/copyright': Add upstream contact.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 28 Jan 2024 10:43:54 +0000

splash (3.10.1-1) unstable; urgency=medium

  [ Ole Streicher ]
  * New upstream version 3.10.1

  [ Phil Wyett ]
  * Fix build failure from source after successful build (Closes: #1047967)

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 09:23:44 +0100

splash (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Nov 2023 08:03:12 +0100

splash (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Nov 2023 07:59:48 +0100

splash (3.8.5-1) unstable; urgency=medium

  * New upstream version 3.8.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Oct 2023 14:54:52 +0200

splash (3.8.4-1) unstable; urgency=medium

  * New upstream version 3.8.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Aug 2023 15:25:26 +0200
