## splash 3.10.3

=== debian/changelog ===
splash (3.10.3-1) unstable; urgency=medium

  * New upstream version, 3.10.3.
  * Quilt refreshed 'Use-FFLAGS-provided-by-the-system.patch'.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.0, no changes required.
    - Remove 'Ole Streicher' as uploader and adopt package. (Closes: #764684)
  * 'd/copyright':
    - Add 'Files: debian/*' section.
    - Move debian packagers to 'Files: debian/*' section.
    - Add myself, Phil Wyett to 'Files: debian/*' section.
  * 'd/rules':
    - Add hardening 'all'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 13 Sep 2024 15:41:15 +0100
