## splash 3.11.1

=== debian/changelog ===
splash (3.11.1-2) unstable; urgency=medium

  * 'd/control':
    - Update 'Standards-Version' to 4.7.0.2, no changes required.
    - Following conversation with upstream author, change homepage to
      GitHub repository and away from unreliable 'monash.edu.au'.
  * 'd/upstream/metadata':
    - Update splash paper eprint link to reliable Harvard site not the
      unresponsive 'monash.edu.au' site.
    - Remove unreliable 'monash.edu.au' 'FAQ' and 'Gallery' links.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 04 Feb 2025 15:10:26 +0000

splash (3.11.1-1) unstable; urgency=medium

  * New upstream version, 3.11.1.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 07 Dec 2024 12:42:16 +0000

splash (3.10.3-2) unstable; urgency=medium

  * Add 'd/splash.doc-base'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 15 Sep 2024 11:02:18 +0100
