=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>,
-           Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Phil Wyett <philip.wyett@kathenas.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -17,10 +16,10 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
-Homepage: https://users.monash.edu.au/~dprice/splash/
+Homepage: https://github.com/danieljprice/splash/
 Rules-Requires-Root: no
 
 Package: splash
