## splash 3.11.2

=== build/Makefile ===
--- 
+++ 
@@ -180,6 +180,22 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
+   FFLAGS= -O3 -nbs
+   OMPFLAGS= -qopenmp
+   DBLFLAGS= -r8
+   DEBUGFLAG= -C -g
+   SYSTEMFILE= system_f2003.f90
+   ENDIANFLAGBIG= -convert big_endian
+   ENDIANFLAGLITTLE= -convert little_endian
+# or use setenv F_UFMTENDIAN=big or little at runtime
+   KNOWN_SYSTEM=yes
+   CC=icc
+   CFLAGS=-Wall -O3 -fPIC
+endif
+
+ifeq ($(SYSTEM),ifx)
+#  this is for the intel fortran compiler (version 10)
+   FC= ifx
    FFLAGS= -O3 -nbs
    OMPFLAGS= -qopenmp
    DBLFLAGS= -r8
@@ -381,25 +397,3 @@
   CFLAGS+=$(HDF5INCLUDE)
   LDFLAGS+=$(HDF5LIBS)
   LDFLAGSLIB+=$(HDF5LIBS)
-  FPPFLAGS+=-DHDF5
-  RUN_CHECKS+=checkhdf5
-endif
-
-
-ifeq ($(FITS),yes)
-  READFILES+= $(READFILES_FITS)
-  LDFLAGS+=$(FITSLIBS)
-  LDFLAGSLIB+=$(FITSLIBS)
-  FPPFLAGS+=-DFITS
-  RUN_CHECKS+=checkfits
-endif
-
-ifdef PBOB_DIR
-  READFILES+=$(READFILES_PBOB)
-  VPATH+=$(PBOB_DIR)
-  RUN_CHECKS+=checkpbob
-endif
-
-ifdef H5PART_DIR
-  READFILES+=$(READFILES_H5PART)
-  VPATH+=$(H5PART_LIBS) $(HDF5LIBS)
