=== debian/changelog ===
splash (3.11.2-1) unstable; urgency=medium

  * New upstream version, 3.11.2.
  * 'debian/control':
    - Update 'Standards-Version' to 4.7.2, no changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Apr 2025 10:07:07 +0100
