## splash 3.11.4

=== debian/changelog ===
splash (3.11.4-1) unstable; urgency=medium

  [Phil Wyett]
  * New upstream version, 3.11.4.

  [Ole Streicher]
  * New uploader (Closes: 1109859)

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Aug 2025 11:22:13 +0200

splash (3.11.3-1) unstable; urgency=medium

  * New upstream version, 3.11.3.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 24 Apr 2025 12:44:20 +0100
