=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
