## splash 3.11.5

=== build/Makefile ===
--- 
+++ 
@@ -21,6 +21,12 @@
 VPATH=$(SRCDIR) $(SRCDIR)/H5Part ../utils
 SHELL=/bin/bash
 
+#
+# use SYSTEM=gfortran if no SYSTEM variable is set
+#
+ifndef SYSTEM
+SYSTEM=gfortran
+endif
 #
 # some default settings for unix systems
 #
@@ -393,7 +399,3 @@
 
 # link with hdf5 libraries
 ifeq ($(HDF5),yes)
-  READFILES+=$(READFILES_HDF5)
-  CFLAGS+=$(HDF5INCLUDE)
-  LDFLAGS+=$(HDF5LIBS)
-  LDFLAGSLIB+=$(HDF5LIBS)
