=== debian/changelog ===
splash (3.11.5-1) unstable; urgency=medium

  * New upstream version, 3.11.5.
  * 'd/control':
    - Add myself as uploader once more.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 11 Sep 2025 06:49:56 +0100
