=== debian/changelog ===
splash (3.11.6-1) unstable; urgency=medium

  [ Phil Wyett ]
  * 'd/watch': Migrate to new version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.

  [ Ole Streicher ]
  * d/watch: Force using default matching pattern
  * New upstream version 3.11.6
  * d/u/metadata: fix DOI keyword upcase
  * Remove Phil Wyett from uploaders

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Nov 2025 12:46:14 +0100
