=== debian/control ===
Source: splash
Standards-Version: 4.7.2
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 giza-dev,
 help2man,
 latexmk,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-plain-generic,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
Homepage: https://github.com/danieljprice/splash/

Package: splash
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
 This (formerly SUPERSPHPLOT) is a visualisation tool for output from
 (astrophysical) simulations using the Smoothed Particle Hydrodynamics
 (SPH) method in one, two and three dimensions. It is written in
 Fortran 90 and can utilise the PGPLOT graphics subroutine library to do
 the actual plotting. It is based around a command-line menu structure
 but utilises the interactive capabilities of PGPLOT to manipulate data
 interactively in the plotting window.
