=== debian/watch ===
Version: 5
Template: Github
Owner: danieljprice
Project: splash
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@
