=== debian/changelog ===
splash (3.11.7-1) unstable; urgency=medium

  * New upstream version 3.11.7
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 10 Jan 2026 14:01:14 +0100
