=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: splash
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ole Streicher <olebole@debian.org>,
